import { KeyPair } from '@microsoft/dev-tunnels-ssh';
import { KeyFormatter } from './keyFormatter';
import { KeyData } from './keyData';
/** Provides import/export of the JSON Web Key format. */
export declare class JsonWebKeyFormatter implements KeyFormatter {
    import(keyData: KeyData): Promise<KeyPair | null>;
    export(keyPair: KeyPair, includePrivate: boolean): Promise<KeyData>;
    decrypt(keyData: KeyData, passphrase: string | null): Promise<KeyData | null>;
    encrypt(keyData: KeyData, passphrase: string): Promise<KeyData>;
    private static formatRsa;
    private static parseRsa;
    private static formatEC;
    private static parseEC;
    private static formatBigInt;
    private static parseBigInt;
    private static base64UrlEncode;
}
//# sourceMappingURL=jsonWebKeyFormatter.d.ts.map