import { KeyPair } from '@microsoft/dev-tunnels-ssh';
import { KeyFormatter } from './keyFormatter';
import { KeyData } from './keyData';
/** Provides import/export of the PKCS#1 key format. */
export declare class Pkcs1KeyFormatter implements KeyFormatter {
    private static readonly publicKeyType;
    private static readonly privateKeyType;
    import(keyData: KeyData): Promise<KeyPair | null>;
    export(keyPair: KeyPair, includePrivate: boolean): Promise<KeyData>;
    decrypt(keyData: KeyData, passphrase: string | null): Promise<KeyData | null>;
    encrypt(keyData: KeyData, passphrase: string): Promise<KeyData>;
    private static formatRsaPublic;
    private static formatRsaPrivate;
    private static parseRsaPublic;
    private static parseRsaPrivate;
    private static deriveDecryptionKey;
}
//# sourceMappingURL=pkcs1KeyFormatter.d.ts.map