import { KeyPair } from '@microsoft/dev-tunnels-ssh';
import { KeyFormatter } from './keyFormatter';
import { KeyData } from './keyData';
/** Provides import/export of the SEC1 key format. */
export declare class Sec1KeyFormatter implements KeyFormatter {
    private static readonly privateKeyType;
    import(keyData: KeyData): Promise<KeyPair | null>;
    export(keyPair: KeyPair, includePrivate: boolean): Promise<KeyData>;
    decrypt(keyData: KeyData, passphrase: string | null): Promise<KeyData | null>;
    encrypt(keyData: KeyData, passphrase: string): Promise<KeyData>;
    private static exportECPrivate;
    private static importECPrivate;
}
//# sourceMappingURL=sec1KeyFormatter.d.ts.map